package com.yonge.cooleshow.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotBlank;
import java.util.Date;
import java.io.Serializable;

/**
 * (SysImComplaint)实体类
 *
 * @author zx
 * @since 2022-06-13 16:41:47
 */
public class SysImComplaint implements Serializable {
    private static final long serialVersionUID = -24930864920892601L;

    @TableId("id_")
    private Long id;

    @TableField("type_")
    @ApiModelProperty("投诉对象类型GROUP,PERSON")
    @NotBlank(message = "投诉对象类型不能为空")
    private String type;

    @TableField("url_")
    @ApiModelProperty("图片凭证")
    @NotBlank(message = "图片凭证不能为空")
    private String url;

    @TableField("memo_")
    @NotBlank(message = "描述不能为空")
    @ApiModelProperty("描述")
    private String memo;

    @TableField("user_id_")
    @ApiModelProperty("投诉人")
    private Long userId;

    @TableField("target_id_")
    @NotBlank(message = "目标id不能为空")
    @ApiModelProperty("目标id")
    private String targetId;

    @TableField("operator_")
    @ApiModelProperty("处理人")
    private Long operator;

    @TableField("operator_time_")
    @ApiModelProperty("处理时间")
    private Date operatorTime;

    @TableField("status_")
    @ApiModelProperty("处理状态0待处理，1已处理,默认0")
    private Integer status = 0;

    @TableField("create_time_")
    private Date createTime;

    @TableField("update_time_")
    private Date updateTime;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getTargetId() {
        return targetId;
    }

    public void setTargetId(String targetId) {
        this.targetId = targetId;
    }

    public Long getOperator() {
        return operator;
    }

    public void setOperator(Long operator) {
        this.operator = operator;
    }

    public Date getOperatorTime() {
        return operatorTime;
    }

    public void setOperatorTime(Date operatorTime) {
        this.operatorTime = operatorTime;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}

